#ifndef STUDENTS_H
#define STUDENTS_H

#include <stdio.h>

struct Student *allocate_array(int n);
void fill_array(int n, struct Student *students);
void print_array(struct Student *students, int n);

void write_array(FILE *file, int n, struct Student *students);
void read_file_to_array(FILE *file, int n);

void bin_write_array(FILE *file,int n, struct Student *students);
void bin_read_file_to_array(FILE *file, int n);

#endif
